Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: ant-junit
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


Summary:        Collection of tasks for Ant
Name:           ant-contrib
Version:        1.0
Release:        alt4_0.b3.1jpp5
Epoch:          0
License:        Apache Software License
URL:            http://ant-contrib.sourceforge.net/
Group:          Development/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Source0:        http://prdownloads.sourceforge.net/ant-contrib/ant-contrib-1.0b3-src.tar.gz
Source1:        ant-contrib-1.0b3.pom
Patch0:         ant-contrib-build_xml.patch

BuildRequires: jpackage-utils >= 0:1.7.5
BuildRequires: ant >=  1.6.5
BuildRequires: ant-junit
BuildRequires: bcel >= 0:5.1
BuildRequires: ivy >= 0:1.3.1
BuildRequires: jakarta-commons-cli
BuildRequires: jakarta-commons-codec
BuildRequires: jakarta-commons-httpclient
BuildRequires: jakarta-commons-logging
BuildRequires: junit >= 3.8.2
BuildRequires: oro
BuildRequires: xerces-j2
Requires: ant >=  1.6.5
Requires: bcel >= 0:5.1
Requires: ivy >= 0:1.3.1
Requires: jakarta-commons-cli
Requires: jakarta-commons-codec
Requires: jakarta-commons-httpclient
Requires: jakarta-commons-logging
Requires: junit >= 3.8.2
Requires: oro
Requires: xerces-j2
%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5


%description
The Ant-Contrib project is a collection of tasks 
(and at one point maybe types and other tools) 
for Apache Ant.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -n %{name}
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath ant) lib/ant/jars/ant-1.6.5.jar
ln -sf $(build-classpath bcel) lib/bcel/jars/bcel-5.1.jar
ln -sf $(build-classpath commons-cli) lib/commons-cli/jars/commons-cli-1.0.jar
ln -sf $(build-classpath commons-codec) lib/commons-codec/jars/commons-codec-1.3.jar
ln -sf $(build-classpath commons-httpclient) lib/commons-httpclient/jars/commons-httpclient-3.0.1.jar
ln -sf $(build-classpath commons-logging) lib/commons-logging/jars/commons-logging-1.0.4.jar
ln -sf $(build-classpath ivy) lib/ivy/jars/ivy-1.3.1.jar
ln -sf $(build-classpath junit) lib/junit/jars/junit-3.8.1.jar
ln -sf $(build-classpath oro) lib/oro/jars/oro-2.0.8.jar
ln -sf $(build-classpath xerces-j2) lib/xercesImpl/jars/xercesImpl-2.6.2.jar

%patch0 -b .sav

%build
export JAVA_HOME=%{_jvmdir}/java-1.5.0
ant
ant test

%install

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-ant-contrib.pom
%add_to_maven_depmap %{name} %{name} 1.0b3 JPP %{name}

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf target/docs/api

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*.jar
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}


%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%doc %{_docdir}/%{name}-%{version}

%changelog
* Mon Jan 05 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt4_0.b3.1jpp5
- fixed docdir ownership

* Sat Sep 06 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt3_0.b3.1jpp5
- converted from JPackage by jppimport script

* Wed Aug 01 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt3_0.b2.2jpp1.7
- converted from JPackage by jppimport script

* Fri Jul 20 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt3_0.b2.1jpp1.7
- converted from JPackage by jppimport script

* Fri Jul 20 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt2_0.b2.1jpp1.7
- converted from JPackage by jppimport script

* Thu Jul 19 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.b2.1jpp1.7
- converted from JPackage by jppimport script

